Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.rgg
Class Cell

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.rgg.Cell

All Implemented Interfaces:
  Transformation, Manageable, PersistenceCapable, Shareable, UserFields, XObject, Map, java.io.Serializable, java.util.EventListener

    public class Cell

extends Node
implements EventListener, Transformation

See Also:
  Serialized Form

Nested Class Summary
`static class` | `Cell.Pattern`

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.EventListener
`EventListener.Bicast, EventListener.Multicaster`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`protected float` | `length`
`static Node.NType.Field` | `length$FIELD`
`protected float` | `radius`
`static Node.NType.Field` | `radius$FIELD`
`protected Shader` | `shader`
`static Node.NType.Field` | `shader$FIELD`
`protected int` | `state`
`static Node.NType.Field` | `state$FIELD`
`static int` | `TRANSFORMING_MASK`
`static Node.NType.Field` | `transforming$FIELD`
`static int` | `USED_BITS`
`static Node.NType.Field` | `x$FIELD`
`static Node.NType.Field` | `y$FIELD`
`static Node.NType.Field` | `z$FIELD`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`Cell()`
`Cell(double x, double y, double z, float l, float r, boolean transform, int state)`
`Cell(float x, float y, float z, int state)`

Method Summary
`double` | `distance(Cell c)`
`double` | `distanceLinf(Cell c)`
`void` | `eventOccured(java.util.EventObject event)` This method is invoked on registered event listeners when `event` has occured.
`protected boolean` | `getBoolean(BooleanAttribute a, GraphState gs)`
`float` | `getLength()`
`protected Node.NType` | `getNTypeImpl()` This method returns the `Node.NType` which describes the managed fields of the class of this node.
`protected java.lang.Object` | `getObject(ObjectAttribute a, java.lang.Object placeIn, GraphState gs)`
`TVector3d` | `getPosition()`
`float` | `getRadius()`
`Shader` | `getShader()`
`int` | `getState()`
`int` | `getSymbolColor()`
`double` | `getX()`
`double` | `getY()`
`double` | `getZ()`
`boolean` | `isTransforming()`
`protected Node` | `newInstance()` This method returns a new instance of the class of this node.
`void` | `postTransform(java.lang.Object object, boolean asNode, Matrix4d in, Matrix4d out, Matrix4d pre, GraphState gs)` Implements the change from object's transformation `in` to the object's post-transformation `out`.
`void` | `preTransform(java.lang.Object object, boolean asNode, Matrix4d in, Matrix4d out, GraphState gs)` Implements the change from the parent's post-transformation `in` to the object's transformation `out`.
`void` | `setLength(float value)`
`void` | `setRadius(float value)`
`void` | `setShader(Shader value)`
`void` | `setState(int value)`
`void` | `setTransforming(boolean v)`
`void` | `setX(double x)`
`void` | `setY(double y)`
`void` | `setZ(double z)`
`java.lang.String` | `toString()`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, fieldModified, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInstantiator, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### length

    protected float length

### length$FIELD

    public static final Node.NType.Field length$FIELD

### radius

    protected float radius

### radius$FIELD

    public static final Node.NType.Field radius$FIELD

### shader

    protected Shader shader

### shader$FIELD

    public static final Node.NType.Field shader$FIELD

### state

    protected int state

### state$FIELD

    public static final Node.NType.Field state$FIELD

### TRANSFORMING_MASK

    public static final int TRANSFORMING_MASK

See Also:
  Constant Field Values

### transforming$FIELD

    public static final Node.NType.Field transforming$FIELD

### USED_BITS

    public static final int USED_BITS

See Also:
  Constant Field Values

### x$FIELD

    public static final Node.NType.Field x$FIELD

### y$FIELD

    public static final Node.NType.Field y$FIELD

### z$FIELD

    public static final Node.NType.Field z$FIELD

Constructor Detail

### Cell

    public Cell()

### Cell

    public Cell(double x,
                double y,
                double z,
                float l,
                float r,
                boolean transform,
                int state)

### Cell

    public Cell(float x,
                float y,
                float z,
                int state)

Method Detail

### distance

    public double distance(Cell c)

### distanceLinf

    public double distanceLinf(Cell c)

### eventOccured

    public void eventOccured(java.util.EventObject event)

  Description copied from interface: `EventListener`
  This method is invoked on registered event listeners when `event` has occured. This general listener interface does not restrict the possible kinds of events. Concrete sources of events should specify which events they may fire.

  Parameters:
    `event` - an event

### getBoolean

    protected boolean getBoolean(BooleanAttribute a,
                                 GraphState gs)

  Overrides:
    `getBoolean` in class `Node`

### getLength

    public float getLength()

### getNTypeImpl

    protected Node.NType getNTypeImpl()

  Description copied from class: `Node`
  This method returns the `Node.NType` which describes the managed fields of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `getNTypeImpl` in class `Node`
  Returns:
    type describing the managed fields of the class of this node

### getObject

    protected java.lang.Object getObject(ObjectAttribute a,
                                         java.lang.Object placeIn,
                                         GraphState gs)

  Overrides:
    `getObject` in class `Node`

### getPosition

    public TVector3d getPosition()

### getRadius

    public float getRadius()

### getShader

    public Shader getShader()

### getState

    public int getState()

### getSymbolColor

    public int getSymbolColor()

  Overrides:
    `getSymbolColor` in class `Node`

### getX

    public double getX()

### getY

    public double getY()

### getZ

    public double getZ()

### isTransforming

    public boolean isTransforming()

### newInstance

    protected Node newInstance()

  Description copied from class: `Node`
  This method returns a new instance of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `newInstance` in class `Node`
  Returns:
    new instance of class of this node

### postTransform

    public void postTransform(java.lang.Object object,
                              boolean asNode,
                              Matrix4d in,
                              Matrix4d out,
                              Matrix4d pre,
                              GraphState gs)

  Description copied from interface: `Transformation`
  Implements the change from object's transformation `in` to the object's post-transformation `out`.

  Specified by:
    `postTransform` in interface `Transformation`
  Parameters:
    `object` - the object for which the transformation is computed
    `asNode` - is `object` a node or an edge?
    `in` - the transformation of the object
    `out` - the post-tranformation of the object to be computed
    `pre` - the post-transformation of the object's parent
    `gs` - the graph state in which the computation has to be done

### preTransform

    public void preTransform(java.lang.Object object,
                             boolean asNode,
                             Matrix4d in,
                             Matrix4d out,
                             GraphState gs)

  Description copied from interface: `Transformation`
  Implements the change from the parent's post-transformation `in` to the object's transformation `out`.

  Specified by:
    `preTransform` in interface `Transformation`
  Parameters:
    `object` - the object for which the transformation is computed
    `asNode` - is `object` a node or an edge?
    `in` - the post-transformation of the object's parent
    `out` - the tranformation of the object to be computed
    `gs` - the graph state in which the computation has to be done

### setLength

    public void setLength(float value)

### setRadius

    public void setRadius(float value)

### setShader

    public void setShader(Shader value)

### setState

    public void setState(int value)

### setTransforming

    public void setTransforming(boolean v)

### setX

    public void setX(double x)

### setY

    public void setY(double y)

### setZ

    public void setZ(double z)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Node`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD